import { axios } from '@/utils/request'

// 货架 列表  分页
export const shelfList = (params) => {
  const url = `/shelf/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  货架  详情
export const shelfDetail = (params) => {
  return axios({
    url: `/shelf/queryBySn/${params.sn}`,
    data: params,
    method: 'post'
  })
}
//  货架  保存
export const shelfSave = (params) => {
  return axios({
    url: `/shelf/save`,
    data: params,
    method: 'post'
  })
}
//  货架  货位产品 列表 不分页
export const shelfProductList = (params) => {
  return axios({
    url: `/shelf/placeProduct/queryList`,
    data: params,
    method: 'post'
  })
}
//  货架  货位产品 详情
export const shelfProductDetail = (params) => {
  return axios({
    url: `/shelf/placeProduct/queryByPlaceSn/${params.shelfPlaceSn}`,
    data: params,
    method: 'get'
  })
}
//  货架  货位产品 保存
export const shelfProductSave = (params) => {
  return axios({
    url: `/shelf/placeProduct/save`,
    data: params,
    method: 'post'
  })
}
// 货架  货位产品 下载模板
export const shelfProductDownload = params => {
  return axios.request({
    url: `/shelf/placeProduct/downloadExcel/${params.shelfSn}`,
    method: 'post',
    responseType: 'blob'
  })
}
// 货架  货位产品  解析导入的文件
export const shelfProductParseProducts = params => {
  return axios({
    url: '/shelf/placeProduct/readExcel',
    data: params,
    method: 'post'
  })
}
// 货架  货位产品  批量插入
export const shelfProductBatchInsert = params => {
  return axios({
    url: '/shelf/placeProduct/saveBatchExcel',
    data: params,
    method: 'post'
  })
}
// 货架 箭冠产品  分页
export const shelfDealerProductList = (params) => {
  const url = `/product/queryPageForXPRH/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  货架监控 列表 不分页
export const shelfControlList = (params) => {
  return axios({
    url: `/shelf/control/queryList`,
    data: params,
    method: 'post'
  })
}
// 货架监控 出入库明细  分页
export const shelfPutOutDetailList = (params) => {
  const url = `/shelf/placeProduct/queryStockPutOutDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
